import type { IColorFormat } from '../color-picker';
import type { IProps, IRect } from './types';
export * from './types';
declare class ColorPipette {
    container: any;
    listener: Record<string, (e: any) => void>;
    rect: IRect;
    canvas: any;
    ctx: any;
    scale: number;
    magnifier: any;
    colorContainer: any;
    colors: string[][];
    tooltipVisible: boolean;
    useMagnifier: boolean;
    colorFormat: IColorFormat;
    constructor(props: IProps);
    /**
     * 初始化canvas
     */
    initCanvas(): void;
    /**
     * 开始
     */
    start(): Promise<void>;
    /**
     * 结束销毁dom，清除事件监听
     */
    destroy(): void;
    /**
     * 将dom节点画到canvas里
     */
    drawCanvas(): Promise<void>;
    /**
     * 处理鼠标移动
     */
    handleMove: (e: any) => void;
    /**
     * 处理鼠标按下
     */
    handleDown: (e: any) => void;
    /**
     * 处理键盘按下Esc退出拾色
     */
    handleKeyDown: (e: KeyboardEvent) => void;
    /**
     * 获取鼠标点周围的颜色整列
     */
    getPointColors(e: any): {
        color: string;
        colors: string[][];
    };
    /**
     * 获取鼠标点的颜色
     */
    getPointColor(x: number, y: number): string;
    /**
     * 设置颜色格式
     */
    setColorFormat(format: IColorFormat): void;
}
export default ColorPipette;
